Bug 222533 - Review Request: grig - a Ham Radio Control graphical user interface
Review Request: grig - a Ham Radio Control graphical user interface
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-13 09:03 EST by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 04:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2007-01-13 09:03:01 EST
Spec URL: http://www.poolshark.org/src/grig.spec
SRPM URL: http://www.poolshark.org/src/grig-0.7.2-1.fc7.src.rpm

Description: 
Grig is a graphical user interface for the Ham Radio Control
Libraries. It is intended to be simple and generic, presenting the
user to the same interface regardless of which radio he or she uses.
Comment 1 Marek Mahut 2007-06-10 12:18:37 EDT
 REVIEW
========

+ source files match upstream.
     c83fd4b8b32ca84a4021e8afad6f9b64  grig-0.7.2.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
+ license is open source-compatible.
+ license text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ %clean is present.
+ no scriptlets required.
+ package installs properly.
+ rpmlint is silent.
+ only code, not content.
- *.desktop file looks proper.
    category X-Fedora is obselete
+ documentation is small -- no -docs subpackage is necessary.


Everything except this .desktop file is fine, please change it before posting to
cvs.

APPROVED


Comment 2 Denis Leroy 2007-06-20 04:26:22 EDT
New Package CVS Request
=======================
Package Name: grig
Short Description: A Ham Radio Control graphical user interface
Owners: denis@poolshark.org
Branches: FC-6 F-7
InitialCC: 
Comment 3 Kevin Fenzi 2007-06-20 12:29:53 EDT
cvs done.
Comment 4 Denis Leroy 2007-06-21 04:27:33 EDT
thanks!

Note You need to log in before you can comment on or make changes to this bug.